/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package tdd_with_fitnesse;

import java.text.DateFormat;
import java.text.ParseException;
import java.util.Date;
import java.util.Locale;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Selvyn
 */
public class WorkCalculator implements Calculator
{
    @Override
    public double calculateHoursWorked( String checkInTime, String checkOutTime )
    {
        double  theHoursWorked = 0;
        try
        {
            DateFormat df = DateFormat.getTimeInstance(DateFormat.SHORT, Locale.UK);
            
            Date d1 = df.parse(checkInTime);
            Date d2 = df.parse(checkOutTime);
            
            long diff = d2.getTime() - d1.getTime();
            long hours = diff / (60 * 60 *1000) % 24;
            double mins = diff / (60 * 1000) % 60;
            long secs = (diff / 1000) % 60;
            
            theHoursWorked = hours + mins / 60;
            
            System.out.println( hours + ":" + mins );
        } catch (ParseException ex)
        {
            Logger.getLogger(TimeSheet.class.getName()).log(Level.SEVERE, null, ex);
        }
        return theHoursWorked;
    }
    
}
